> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/orders/get-methods/get-orders/useful-tips.md).

# Useful tips

• Please refer to the [orders and shipping glossary section](/v2/glossary/glo1-4.md) for more details.

• KIT items type and COMPONENT item type When the item order is a KIT item type, the order brings all the kit component items. Please, double check the ITEM property to filter and get only the item type you need to work with.

• Component items without price

When the item order is a KIT item type, the order brings all the kit component items. \
\
Some customers do not have a fixed selling price for the component. They only establish the sale price of the KIT as a whole. In this scenario you can get and use the \[Calculated] prices attributes.

• Free shipping

When the marketplace product listing is set to “Free shipping” you will get the \[ShippingAmount] attribute value in 0.00 (zero).

• Financial charges

Some marketplaces apply financial surcharges to credit card installment payments. You can calculate the finance charge as: \[Amount] - \[TransactionAmount] – \[Preferred Shipping Amount] \
\
Some customers use the \[Preferred Shipping Amount] as the \[ReceiverCost] attribute. \
\
Other customers use \[Preferred Shipping Amount] as the \[ReceiverCost] + \[SenderCost] attribute. \
\
It depends on the seller’s invoicing policy.

• Discounts

Some marketplaces allow discounts to be applied to orders for various reasons, such as coupons, discounts, cashback, and others. Review the "[Discount](https://developers.alephee.com/v2/orders/get-methods/get-orders/response#discount)" array within the "[Payments](https://developers.alephee.com/v2/orders/get-methods/get-orders/response#payment)" object when downloading the order to see details of the discounts applied to the order.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.alephee.com/v2/orders/get-methods/get-orders/useful-tips.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
